.main-product {
    z-index: 20;

    padding-bottom: 0;
    position: relative;

    @include media-breakpoint-up(xl) {
        padding-top: rem(24);
    }
}

.product {
    position: relative;
    margin-bottom: rem(40);

    &__header {
        margin-bottom: rem(20);

        &--xl {
            display: none;
        }
    }

    &__title {
        color: $dark;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(18);
        margin-bottom: rem(8);
    }

    &__meta {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;

        &__item {
            display: flex;
            align-items: center;

            &:not(:last-child) {

                &:after {
                    content: '';
                    width: 1px;
                    height: 10px;
                    display: block;
                    margin: 0 rem(12);
                    background: $gray-200;
                }
            }
        }
    }

    &__article {
        color: $gray-300;
        font-weight: 500;
        line-height: 125%;
        font-size: rem(11);
        white-space: nowrap;

        strong {
            color: $dark;
            font-weight: 500;
        }
    }

    &__availability {
        font-weight: 600;
        line-height: 125%;
        font-size: rem(11);
        white-space: nowrap;
        display: flex;
        align-items: center;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(7);
            flex-shrink: 0;
            display: inline-block;
            margin-right: rem(6);
        }

        &--valid {
            fill: $green;
            color: $green;
        }
    }

    &__media {
        min-width: 0;
        position: relative;
        margin-bottom: rem(20);

        &--advanced  {
            margin-bottom: rem(32);
        }
    }

    &__thumb {
        cursor: pointer;
    }

    &__gallery {
        margin-bottom: rem(12);
        border: 1px solid $gray-200;
    }

    &__thumb {
        border: 1px solid $gray-200;
    }

    &__layout {
        position: relative;
        padding-left: rem(28);
        padding-right: rem(28);
    }

    &__nav {
        top: calc(50% - 8px);
        z-index: 10;
        fill: $purple;
        transition: .3s;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(16);
        height: rem(16);
        cursor: pointer;
        position: absolute;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(8);
            flex-shrink: 0;
            display: inline-block;
        }

        &:hover {
            fill: $purple;
            transition: .3s;
        }

        &--prev {
            left: 0;
        }

        &--next {
            right: 0;
        }

        &:disabled,
        &.swiper-button-disabled {
            opacity: 0.6;
            fill: #828282;
            cursor: default;

        }
    }

    &__order {
        margin-bottom: rem(20);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__price {
        font-weight: 600;
        line-height: 145%;
        font-size: rem(22);
    }

    &__buttons {
        position: relative;
        margin-bottom: rem(20);
        display: grid;
        grid-row-gap: rem(10);
        grid-template-columns: 1fr;

        &:hover {
            z-index: 20;
        }
    }

    &__options {
        margin-bottom: rem(50);

        &__item {
            display: flex;
            align-items: center;
            justify-content: space-between;
            position: relative;

            &:before {
                top: calc(50% + 2px);
                left: 20px;
                right: 20px;
                content: '';
                height: 1px;
                display: block;
                position: absolute;
                background-image: linear-gradient(to right, #DADCDD 40%, rgba(255, 255, 255, 0) 20%);
                background-position: top;
                background-size: 5px 1px;
                background-repeat: repeat-x;
            }

            &:not(:last-child) {
                margin-bottom: rem(10);
            }

        }

        &__input {
            z-index: 10;
            background: $white;
            position: relative;
            padding-right: rem(8);
        }

        &__value {
            z-index: 10;
            background: $white;
            position: relative;
            padding-left: rem(8);
            display: flex;
            align-items: center;
        }

        &__price {
            color: $purple;
            font-weight: 600;
            line-height: 145%;
            font-size: rem(13);
            white-space: nowrap;
        }

        &__info {
            font-size: 0;
            line-height: 0;
            margin-left: rem(5);
            display: inline-block;
        }
    }

    &__favorite {
        top: 0;
        right: 0;
        z-index: 100;
        position: absolute;
        background: #FFF;
        box-shadow: 0px 4px 50px 0px rgba(107, 116, 123, 0.15);
    }

    &__text {
        line-height: 135%;
        font-size: rem(13);
        margin-bottom: rem(30);
    }

    &__image {
        display: block;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(26);
        max-width: rem(738);
        margin: 0 auto rem(70) auto;

        &__title {
            font-size: rem(26);
        }

        &__meta {

            &__item {

                &:not(:last-child) {

                    &:after {
                        height: 15px;
                        margin: 0 rem(22);
                    }
                }
            }
        }

        &__article {
            font-size: rem(15);
        }

        &__availability {
            font-size: rem(15);

            i {
                height: rem(9);
                margin-right: rem(7);
            }
        }

        &__content {
            max-width: 652px;
            margin: 0 auto;
        }

        &__gallery {
            margin-bottom: 0;
        }

        &__order {
            margin-bottom: rem(18);
        }

        &__price {
            font-size: rem(40);
        }

        &__buttons {
            margin-bottom: rem(16);
            grid-column-gap: rem(30);
            grid-template-columns: 1fr 1fr;
        }

        &__options {
            margin-bottom: rem(32);

            &__price {
                font-size: rem(18);
            }

            &__info {
            }
        }

        &__media {
            z-index: 20;
            position: relative;
            padding-left: rem(168);
            margin-bottom: rem(40);

            &--advanced  {
                padding-left: 0;
                margin-bottom: rem(40);
            }
        }

        &__thumbs {
            height: 576px;
        }

        &__thumb {
            width: 156px;
            height: 176px;
        }

        &__layout {
            top: 0;
            left: 0;
            bottom: 0;
            padding: rem(28) 0 8px 0;
            position: absolute;
        }

        &__nav {


            &--prev {
                top: 0;
                left: calc(50% - 8px);

                i {
                    transform: rotate(90deg);
                }
            }

            &--next {
                top: auto;
                left: calc(50% - 8px);
                bottom: 0;

                i {
                    transform: rotate(90deg);
                }
            }
        }

        &__text {
            font-size: rem(16);
            margin-bottom: rem(54);
        }
    }

    @include media-breakpoint-up(xl) {
        margin: 0 0 rem(60) 0;
        width: 100%;
        max-width: inherit;
        display: flex;
        align-items: flex-start;

        &__media {
            margin: 0;
            width: rem(620);
            padding-left: rem(144);
            flex-shrink: 0;

            &--advanced  {
                padding-left: 0;
            }
        }

        &__layout {
            padding-top: rem(35);
        }

        &__content {
            padding: 0;
            margin: 0 0 0 rem(40);
            flex-grow: 1;
        }

        &__header {
            margin-top: rem(-4);
            margin-bottom: rem(6);

            &--sm {
                display: none;
            }

            &--xl {
                display: block;
            }
        }

        &__thumbs {
            height: 471px;
        }

        &__thumb {
            width: 130px;
            height: rem(135);
        }

        &__buttons {
            margin-bottom: rem(12);
        }

        &__options {
            margin-bottom: rem(24);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__media {
            width: rem(806);
            padding-left: rem(184);

            &--advanced  {
                padding-left: 0;
                position: relative;
            }
        }

        &__content {
            margin-left: rem(72);
        }

        &__header {

        }

        &__image {
            width: rem(622);
            height: rem(700);
        }

        &__layout {
            padding-top: rem(35);
        }

        &__thumbs {
            height: 626px;
        }

        &__thumb {
            width: 171px;
            height: 192px;
        }
    }

    @media (min-width: $fhd) {

        &__favorite {
            right: auto;
            left: calc(100% + 808px);

            &--inner {
                right: 0;
                left: auto;
            }
        }
    }
}

.product-quantity {
    display: flex;
    align-items: center;

    &__label {
        font-weight: 500;
        line-height: 125%;
        font-size: rem(12);
        white-space: nowrap;
    }

    &__value {
        width: rem(94);
        margin: 0 rem(12);
        flex-shrink: 0;
    }

    @include media-breakpoint-up(md) {

        &__label {
            font-size: rem(15);
        }

        &__value {
            min-width: rem(114);
            margin: 0 rem(18);
        }
    }
}

.product-info {
    margin-bottom: rem(32);

    &__header {
        margin-bottom: rem(16);
        border-bottom: 1px solid $gray-200;
        display: flex;
        align-items: center;
    }

    &__nav {
        border: none;
        outline: none;
        display: block;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(16);
        cursor: pointer;
        margin-bottom: -1px;
        text-decoration: none;
        padding-bottom: rem(16);
        background: transparent;
        border-bottom: 1px solid transparent;

        &:not(:last-child) {
            margin-right: rem(30);
        }

        &:hover {
            color: $purple;
            text-decoration: none;
        }

        &.active {
            color: $purple;
            border-color: $purple;
        }
    }

    &__item {
        font-weight: 500;
        line-height: 155%;
        font-size: rem(14);
        padding: rem(9) 0;

        &:not(:last-child) {
            border-bottom: 1px solid $gray-200;
        }
    }

    &__label {
        color: $gray-300;
        margin-bottom: rem(2);
    }

    &__value {
        color: $dark;
        font-weight: 600;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(30);

        &__header {
            margin-bottom: rem(26);
        }

        &__nav {
            font-size: rem(22);
            padding-bottom: rem(16);

            &:not(:last-child) {
                margin-right: rem(42);
            }
        }

        &__item {
            padding: 0;
            font-size: rem(16);
            position: relative;
            display: flex;
            align-items: center;
            justify-content: space-between;

            &:not(:last-child) {
                border-bottom: none;
                margin-bottom: rem(1);
            }

            &:before {
                top: calc(50% + 2px);
                left: 20px;
                right: 20px;
                content: '';
                height: 1px;
                display: block;
                position: absolute;
                background-image: linear-gradient(to right, #DADCDD 40%, rgba(255, 255, 255, 0) 20%);
                background-position: top;
                background-size: 5px 1px;
                background-repeat: repeat-x;
            }
        }

        &__label {
            z-index: 10;
            position: relative;
            background: $white;
            padding-right: rem(16);
        }

        &__value {
            z-index: 10;
            position: relative;
            background: $white;
            text-align: right;
            max-width: rem(360);
            padding-left: rem(16);
        }
    }


    @include media-breakpoint-up(xl) {
        margin-bottom: rem(34);
    }
}

.product-features {
    background: $white;
    border: 6px solid rgba(241, 240, 237, 0.70);

    &__item {
        color: $black;
        font-weight: 500;
        line-height: 135%;
        font-size: rem(15);
        height: rem(110);
        padding: rem(16) rem(24);
        display: flex;
        align-items: center;

        &:not(:last-child) {
            border-bottom: 1px solid rgba(241, 240, 237, 0.70);
        }

        br {
            display: none;
        }
    }

    &__media {
        width: rem(50);
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
    }

    &__icon {
        flex-shrink: 0;
        position: relative;
        display: inline-block;

        &--01 {
            height: rem(34);
        }

        &--02 {
            height: rem(34);
        }

        &--03 {
            left: -8px;
            height: rem(28);
        }
    }


    @include media-breakpoint-up(md) {
        height: rem(110);
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;

        &__item {
            height: auto;
            font-size: rem(16);

            br {
                display: block;
            }

            &:not(:last-child) {
                border-bottom: none;
                border-right: 1px solid rgba(241, 240, 237, 0.70);
            }
        }

        &__media {
            width: auto;
            margin-right: rem(18);
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            font-size: rem(14)
        }
    }

    @include media-breakpoint-up(xxl) {

        &__item {
            font-size: rem(15);
            padding-left: rem(28);

            &:nth-child(1) {
                padding-left: rem(38);
            }

            &:nth-child(3) {
                padding-left: rem(42);
            }
        }
    }
}

.product-reviews {
    margin-bottom: rem(50);

    &__header {
        margin-bottom: rem(30);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__switcher {
        display: flex;
        flex-grow: 1;
        border-bottom: 1px solid $gray-200;
    }

    &__nav {
        width: 50%;
        color: $dark;
        border: none;
        outline: none;
        display: block;
        cursor: pointer;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(16);
        text-align: center;
        white-space: nowrap;
        margin-bottom: -1px;
        text-decoration: none;
        background: transparent;
        padding: 0 0 rem(15) 0;
        border-bottom: 1px solid transparent;
        transition: .25s;

        &:hover {
            color: $purple;
            text-decoration: none;
            transition: .25s;
        }

        &.active {
            color: $purple;
            border-color: $purple;
        }
    }

    &__body {
        margin: rem(-15);
    }

    &__control {

        &--md {
            display: none;
        }
    }

    &__footer {
        margin-top: rem(24);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__content {
        display: none;

        &.active {
            display: block;
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(70);

        &__header {
            margin-bottom: rem(44);
        }

        &__switcher {
            margin-right: rem(36);
        }

        &__nav {
            width: auto;
            text-align: left;
            font-size: rem(22);
            height: rem(56);
            padding: 0 rem(64) rem(20) 0;

            &:not(:last-child) {
                margin-right: rem(30);
            }
        }

        &__control {

            &--sm {
                display: none;
            }

            &--md {
                display: block;
            }
        }

        &__footer {
            margin-top: rem(30);
            justify-content: center;
        }
    }


    @include media-breakpoint-up(md) {

        &__switcher {
            margin-right: rem(28);
        }

        &__nav {
            height: rem(60);
        }

        &__footer {
            margin-top: rem(50);
        }
    }
}

.product-links {
    margin-top: rem(40);
    display: grid;
    grid-column-gap: rem(12);
    grid-template-columns: 1fr 1fr;

    &__item {
        fill: $purple;
        padding: rem(20);
        height: rem(135);
        font-size: rem(14);
        font-weight: 500;
        line-height: 135%;
        text-align: center;
        background: #F5F5F3;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__wrap {
        display: block;
        font-style: normal;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(36);
        flex-shrink: 0;
        display: inline-block;
    }

    &__text {
        display: block;
        margin-top: rem(16);
    }

    @include media-breakpoint-up(md) {
        margin-top: rem(24);
        font-size: rem(15);
        grid-column-gap: rem(30);
    }
}

.product-media {
    font-size: 0;
    line-height: 0;
    position: relative;

    &__image {
        display: block;
    }

    &__pagination {
        font-size: 0;
        line-height: 0;
        margin: rem(24) 0;
    }

    &__thumb {
        width: 100%;
        height: 122px;
        display: block;
        cursor: pointer;
        border: 1px solid #F2F2F2;
    }

    @include media-breakpoint-up(md) {
        padding-left: 165px;

        &__gallery {
            height: 716px;
        }

        &__pagination {
            top: 0;
            bottom: 0;
            margin: 0;
            left: 140px;
            position: absolute;
            width: 1px;
            height: auto;
        }

        &__thumbs {
            top: 0;
            left: 0;
            height: 680px;
            position: absolute;
        }

        &__thumb {
            width: 116px;
            height: 145px;
        }
    }

    @include media-breakpoint-up(xl) {
        padding-left: 0;

        &__thumbs {
            top: auto;
            height: auto;
            position: relative;
        }

        &__thumb {
            width: auto;
            height: 160px;
        }

        &__pagination {
            top: auto;
            width: 100%;
            height: 1px;
            bottom: auto;
            left: auto;
            right: auto;
            margin: rem(24) 0;
            position: relative;
        }

        &__gallery {
            height: 615px;
        }

    }

    @include media-breakpoint-up(xxl) {

        &__gallery {
            height: 800px;
        }
    }

    @media (min-width: 1870px) {
        margin-left: -150px;
        padding-left: 150px;

        &__thumbs {
            top: 0;
            height: 825px;
            position: absolute;
        }

        &__thumb {
            width: 116px;
            height: 145px;
        }

        &__pagination {
            top: 0;
            margin: 0;
            left: 132px;
            width: 1px;
            height: 100%;
            position: absolute;
        }

        &__gallery {
            height: 974px;
        }
    }
}

.product-description {
    font-size: rem(14);
    line-height: 155%;

    @include media-breakpoint-up(md) {
        font-size: rem(16);
    }
}

[data-product-reviews] {
    overflow: visible;

    .swiper-slide {
        height: auto;
        padding: rem(15);
    }

    @include media-breakpoint-up(sm) {

        .swiper-slide {
            width: rem(340);
        }
    }

    @include media-breakpoint-up(sm) {

        .swiper-slide {
            width: rem(462);
        }
    }

    @include media-breakpoint-up(xl) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }
    }
}

[data-media-pagination] {
    left: auto;
    right: auto;
    bottom: auto;
    height: 1px;
    font-size: 0;
    line-height: 0;
    background: #F2F2F2;
    position: relative;
    display: flex;
    align-items: center;

    .swiper-pagination-bullet {
        display: block;
        height: 1px;
        flex-grow: 1;
    }

    .swiper-pagination-bullet-active {
        background: $purple;
    }

    @include media-breakpoint-up(md) {
        width: 1px;
        height: 100%;
        flex-direction: column;

        .swiper-pagination-bullet {
            width: 1px;
            height: auto;
        }
    }


    @include media-breakpoint-up(xl) {
        width: auto;
        height: 1px;
        flex-direction: row;

        .swiper-pagination-bullet {
            width: auto;
            height: 1px;
        }
    }

    @media (min-width: 1870px) {
        width: 1px;
        height: 100%;
        flex-direction: column;

        .swiper-pagination-bullet {
            width: 1px;
            height: auto;
        }
    }
}

[data-media-thumbs] {
    overflow: visible;

    .swiper-slide {
        width: 108px;
    }

    @include media-breakpoint-up(md) {
        overflow: hidden;

        .swiper-slide {
            width: auto;
        }
    }
}

